using System;
using System.Web.UI;

namespace NKC_WF
{
    public partial class SiteMaster : MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            cmp_footer.eh_doRefresh += Cmp_footer_eh_doRefresh;
        }

        private void Cmp_footer_eh_doRefresh(object sender, EventArgs e)
        {
            // faccio refresh pagina...
        }
        /// <summary>
        /// Imposta visibilità componente search globale
        /// </summary>
        public bool showSearch
        {
            get
            {
                return cmp_menuTop.showSearch;
            }
            set
            {
                cmp_menuTop.showSearch = value;
            }
        }
        /// <summary>
        /// Imposta abilitazione anonymous (senza fare auth)
        /// </summary>
        public bool enableAnonym
        {
            get
            {
                return cmp_menuTop.enableAnonym;
            }
            set
            {
                cmp_menuTop.enableAnonym = value;
            }
        }
    }
}